from unittest import TestCase

from lhcsmapi.gui.pc.fgc_pm_event_select.FgcPmEventSelectBaseModuleFactory import FgcPmEventSelectBaseModuleFactory


class TestItFgcPmEventSelectBaseModule(TestCase):
    def test_convert_fgc_pm_events_to_options(self):
        # arrange
        fgc_pm_events = [('RQX.L1', 1535558373560000000)]
        it_fgc_pm_module = FgcPmEventSelectBaseModuleFactory.create(circuit_type='IT')

        # act
        options_act = it_fgc_pm_module.convert_fgc_pm_events_to_options(fgc_pm_events)

        # assert
        options_ref = ['2018-08-29 17:59:33.560000+02:00']
        self.assertListEqual(options_ref, options_act)
